Subject: bug#61490: [PATCH v2] Increase BLOCK_ALIGN from 1024 to 32768

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 16 Feb 2023 20:00:50 +0300

On Thu, 2023-02-16 at 19:48 +0300, Konstantin Kharlamov wrote:
> On Thu, 2023-02-16 at 16:29 +0100, Robert Pluim wrote:
> > > > > > > On Thu, 16 Feb 2023 18:05:09 +0300, Konstantin Kharlamov
> > > > > > > <[email-masked]> said:
> > 
> >     Konstantin> Originally discovered by Tyler Dodge in his article
> > "Significant Garbage
> >     Konstantin> Collection Improvement For Emacs".
> > 
> >     Konstantin> While testing this change on Archlinux system with Intel i5-
> > 7200U CPU,
> >     Konstantin> average time of garbage collection gets reduced by ≈25%.
> > Other
> > users
> >     Konstantin> report improvements up to 50%. While monitoring PSS of emacs
> > with and
> >     Konstantin> without customizations loaded before and after the patch, no
> >     Konstantin> statistically significant differences were discovered. So
> > overall, this
> >     Konstantin> change is a win.
> > 
> > I havenʼt tested it yet, but it looks reasonable.
> > 
> > Procedural nit: if you put the bug number in the commit message rather
> > than the Subject, then 'git am' will strip the [PATCH v2] prefix for
> > us.
> 
> I am not sure I understood. I did not put the bug number in the subject at
> all,
> it is probably done by debbugs. E.g. if you look at this v2 patch in a browser
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61490#20 the "Subject" line
> displayed there does not contain a bug number.
> 
> I can add a bug number to the body the next time, but I'm not sure it would
> make
> debbugs stop adding the prefix.

Which kind of makes sense btw, because debbugs is a bugtracker, I don't think
its developers supposed that it will be used as a replacement to a mailing list
for patch submissions. To track patches the old-fashioned way people usually
combine a mailing list with `patchwork` interface. Linux-kernel are doing that
for a long time. Freedesktop were doing that too. These days projects are
typically just using git forges.